Bug 36685 - Mutt display issues
Summary: Mutt display issues
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slang (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 20:07 UTC by jon
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 15:25:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jon 2001-04-19 20:07:55 UTC
Stuff that looks like standard termcap/terminfo/ncurses issues, except that
Mutt is built with Slang.

In an xterm, the various inverted lines (ie, the line that lists the help
options, the status line, the current message) have the color inversion end
after the last text character on the line. (ie, there are three help
options, with display inverted, but the (blank) rest of the line is normal).

Fairly minor, but distracting, and possibly indicative of similar issues
elsewhere. Switching the TERM variable to vt102 does make the problem go
away, but is obviously not desirable for other reasons.

Comment 1 Bill Nottingham 2001-06-11 15:45:29 UTC
I don't see this here; running in an xterm, I see a normal display.

Comment 2 Bill Nottingham 2001-06-11 15:50:43 UTC
aha, I see it now, when I'm not using colors (i.e., default muttrc). odd.


Comment 3 Bill Nottingham 2001-06-11 16:03:18 UTC
it *appears* that the terminfo database says xterm supports bce. Our various
terminal emulators don't seem to do it right, or slang does it wrong.

Comment 4 Bill Nottingham 2001-06-11 16:32:50 UTC
... except, the terminal emulators *should* support bce.

Comment 5 Need Real Name 2002-03-18 15:56:35 UTC
In redhat 7.2 witj Mutt 1.2.5.1i

With TERM=xterm or on the console with TERM=linux.  All color options commented
out of
Muttrc so it just works monochrome.

I see the top line:
Q:Quit  d:Del  u:Undel  s:Save  m:Mail  r:Reply  g:Group  ?:Help

This is only highlighted until the end of "Help".

If TERM=vt100 then the highlight reaches to the end of the line.

Rgds
Stephen

Comment 6 Bill Nottingham 2003-03-20 01:55:15 UTC
If this still occurs, it's almost certainly a slang issue, not a mutt issue.

Comment 7 Eido Inoue 2003-07-29 15:25:57 UTC
this should be fixed with mutt being built against the wide char version of slang


Note You need to log in before you can comment on or make changes to this bug.